#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
#define CRP(t, x) const t &x
#define OPL(t, x) bool operator<(CRP(t, x)) const
#define FIL(x, v) memset(x, v, sizeof(x))
#define CLR(x) FIL(x, 0)
#define NE1(x) FIL(x, -1)
#define INF(x) FIL(x, 0x3f)
#ifndef _DEBUG
#define _DEBUG 0
#endif // !_DEBUG
#define IFD if (_DEBUG)
typedef long long ll, i64;
int main()
{
    int T, a, b, c, d, x, y, x1, y1, x2, y2;
    scanf("%d", &T);
    while (T--)
    {
        scanf("%d%d%d%d", &a, &b, &c, &d);
        scanf("%d%d%d%d%d%d", &x, &y, &x1, &y1, &x2, &y2);
        if (x1 == x2 && (a || b))
        {
            puts("NO");
            continue;
        }
        if (y1 == y2 && (c || d))
        {
            puts("NO");
            continue;
        }
        if (x - a + b < x1 || x - a + b > x2)
        {
            puts("NO");
            continue;
        }
        if (y - c + d < y1 || y - c + d > y2)
        {
            puts("NO");
            continue;
        }
        puts("YES");
    }
    return 0;
}